FilesystemIterator::getFlags
FilesystemIterator::next
FilesystemIterator
PHP Manual

# FilesystemIterator::key

Retrieve the key for the current file

### Description

public string FilesystemIterator::key ( void )

### Parameters

This function has no parameters.

### Return Values

Returns the pathname or filename depending on the set flags. See the FilesystemIterator constants.

### Examples

Example #1 FilesystemIterator::key example

This example will list the contents of the directory containing the script.

`<?php
$iterator = new FilesystemIterator(dirname(__FILE__), FilesystemIterator::KEY_AS_FILENAME);
foreach ($iterator as $fileinfo) {
echo $iterator->key() . "\n";
}
?>`

The above example will output something similar to:

    apple.jpg
    banana.jpg
    example.php

### See Also

- FilesystemIterator constants
- DirectoryIterator::key
- DirectoryIterator::getFilename
- DirectoryIterator::getPathname